Subject: [rfc-i] Fixing names in references to old RFCs

From: "Martin Thomson" <[email-masked]>
Date: Thu, 18 Feb 2021 15:57:51 +1100

With RFC 7997, we can now include people's names in RFCs.

But we didn't used to.  I have a document that cites an older RFC where one of the authors had their name mangled.  What do people here think about correcting the mangling when referencing that document from a newer RFC?
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 18 Feb 2021 00:15:43 -0500

Martin,

If we positively know that the name was mangled, then we should use the
correct name in references. And we should also make sure that an errata has
been filed, and all metadata regarding the RFC has the correct name.

Just out of curiosity, did this RFC precede the AUTH48 process?

Cheers,
Andy

On Wed, Feb 17, 2021 at 11:58 PM Martin Thomson <[email-masked]> wrote:

> But we didn't used to.  I have a document that cites an older RFC where
> one of the authors had their name mangled.  What do people here think about
> correcting the mangling when referencing that document from a newer RFC?

---

From: Martin J. Dürst <[email-masked]>
Date: Thu, 18 Feb 2021 14:22:56 +0900

> But we didn't used to.  I have a document that cites an older RFC where one of the authors had their name mangled.  What do people here think about correcting the mangling when referencing that doc…

It's a tricky case. It would definitely be nice if the non-mangled name 
would be used. One problem is that authors of new RFCs may be able to 
fix some names, but not others, or that they try to fix some names, but 
actually get the fix wrong (sorry, speaking from experience).

I think an official guidance from the RFC Editor would be desirable. If 
authors fix the names and the production center unfixes them again in 
the name of consistency, that would be just useless work.

Regards,   Martin.

---

From: Martin J. Dürst <[email-masked]>
Date: Thu, 18 Feb 2021 15:27:25 +0900

Hello Andy,

> been filed, and all metadata regarding the RFC has the correct name.

That's an interesting idea, but the RFC Editor and the Production Center 
would probably have to say whether they are willing to support this. I'd 
definitely be willing to help a bit.

> Just out of curiosity, did this RFC precede the AUTH48 process?

Probably not. What RFC 7997 is referring to is the use of non-ASCII. So 
this isn't about simple spelling errors that could and should have been 
caught in AUTH48, but about authors where the Production Center would 
have refused to use the fully correct name (e.g. Dürst in my case) and 
insisted on an alternative (Duerst in my case).

Regards,   Martin.

---

From: Julian Reschke <[email-masked]>
Date: Thu, 18 Feb 2021 07:57:19 +0100

Am 18.02.2021 um 05:57 schrieb Martin Thomson:
> ...

The problem with *any* change to the references resources is that if you
re-generate older specs that use these resources you get a different
result. (We have a similar issue with other changes to <reference>, such
as changes to seriesInfo, or even the insertion of DOIs).

Best regards, Julian

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 18 Feb 2021 08:58:25 +0100

> as changes to seriesInfo, or even the insertion of DOIs).

Yes, we have that “problem” massively with unnumbered references to I-Ds.
We actually like that problem so much that we have this mechanism in the first place.

If something gets fixed in a shared reference resource, everybody benefits.

It’s a feature, not a bug.

Grüße, Carsten

---

From: Julian Reschke <[email-masked]>
Date: Thu, 18 Feb 2021 09:06:37 +0100

> We actually like that problem so much that we have this mechanism in the first place.

Referencing unspecific ID versions only works well if you do not rely on
anything *specific* in it (such as a particular section).

> It’s a feature, not a bug.

But it's bug if it breaks existing uses.

There are two questions here:

1) Should we "fix" references to contain something that actually is not
in the referenced document (such as a non-ASCII character in an author
name)?

2) Should we change the published reference files to use v3 features
(such as extensions to the content model and support for non-latin
characters in names and titles)?

For 2), a simple answer that would still give you the benefit of shared
resources is "opt-in" (here: just use a different URI for the v3 resources)

For 1), I can see good reasons on both sides...

Best regards, Julian

---

From: "Martin Thomson" <[email-masked]>
Date: Thu, 18 Feb 2021 19:57:04 +1100

> in the referenced document (such as a non-ASCII character in an author

This was the only question I was asking, but you are right to ask the second as well, as it informs how we might manage the answer to this best.

For the moment however, I just want to know if manually rewriting oe to ö would be a reasonable thing to do.  I think that it would.
 
> characters in names and titles)?

I see a few options:

1. Declare end of life for the v2 format and work toward getting fixed references.
   (with or without the first question being answered)
2. Make a new location for references in the v3 format.
  2a. Stop adding new references to the old location after a fixed date.
3. Let the tools manage the transition.

Option 2a is where I would try to go.  It's a little more costly, but it provides a clear upgrade path and a bit of incentive to follow.  I understand that people will want some notice, but we're far enough along with the v3 format that a little nudge is probably good.

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 18 Feb 2021 10:11:03 +0100

> For the moment however, I just want to know if manually rewriting oe to ö would be a reasonable thing to do.  I think that it would.

Hmm.  Some people are actually changing their names for various reasons; what do you do with that?
In academics, we generally keep the names as they were published in the referenced document (which is really bad for the citation counts of people who change their names).

(We certainly won’t fix references in old RFCs; for a little preview of the extent of that problem, have a look at [7] in RFC 3374, [RFC3095] in RFC 3409, [8] in RFC 4376, [RFC4629] in RFC 4628, or [1], [4], [7] in RFC 4896 :-)

>  2a. Stop adding new references to the old location after a fixed date.

(1) We have the RFC and I-D locations, which update automatically based on our own activities; we could easily have a newly formatted variant.
(2) We have the DOI location and the IANA location, which we also could duplicate in a new format.
(3) The other bibxml locations are maintained at various states of activity; a major cleanup there (and that not in the sense of throwing away everything) is indicated.  We could still have a front-end converter presenting them in a new format.

Grüße, Carsten

---

From: Mirja Kuehlewind <[email-masked]>
Date: Thu, 18 Feb 2021 11:04:23 +0100

Hi Martin, hi all,

> On 18. Feb 2021, at 09:57, Martin Thomson <[email-masked]> wrote:
> 

I don’t think I have strong opinion on the general topic, but as someone with an Umlaut in my own name, I'm not sure I would recommend to just do it. Given this problem has existed for a long time I know people who have used the oe variant in publications consistently in the past and prefer to keep it that way.

For me personally I try to use ü where possible but I don’t might the ue form because that is actually equivalent in German (and I often still have to use when I buy flight ticket and stuff). I know that’s really confusing for non-Germans (also given this is not the notation used in other countries that have Umlaute) but changing it in the reference while still having it different in the original document seems equally confusing to me.

Just my 2c.

Mirja

---

From: "Martin Thomson" <[email-masked]>
Date: Thu, 18 Feb 2021 21:24:36 +1100

> reasons; what do you do with that?

Well, this wasn't a name change.  It was the RFC format being unable to represent this person's actual name at the time the document was published.

> In academics, we generally keep the names as they were published in the 
> referenced document (which is really bad for the citation counts of 
> people who change their names).

I did almost have a name change in references too, for which I would probably have had a discussion with that person, but I think we're removing that particular reference.  I expect that the academic standard here you talk about is the right one, but I would still want to ask because I am uncomfortable with deadnaming in that way, at least without seeking permission (or maybe at least forgiveness).

---

From: Michael Richardson <[email-masked]>
Date: Thu, 18 Feb 2021 11:08:13 -0500

> one of the authors had their name mangled.  What do people here think
    > about correcting the mangling when referencing that document from a
    > newer RFC?

I think that you are asking if the reference.RFC.xxxx.xml file should get
fixed. Others seem to think that you are asking to regenerate the RFC.
Please clarify.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: tom petch <[email-masked]>
Date: Thu, 18 Feb 2021 16:45:39 +0000

> For me personally I try to use ü where possible but I don’t might the ue form because that is actually equivalent in German (and I often still have to use when I buy flight ticket and stuff). I kno…

I think that this is a really bad example.  I am an English speaker and 
know no German but would immediately recognise the change, in 
presentation format, from umlaut to *e because it is so widely used. 
But that change is unique - I can think of no other such case, 
especially with French diacritics, where I have some ability to read the 
language, or with the Scandinavian languages, where I cannot recall 
seeing the characters with diacritics rendered into ASCII (although 
there are lots of Scandinavian contributors to the IETF); and where the 
same character from different Scandinavian languages is transliterated 
into different characters in e.g. German.  It is a minefield and I do 
not find the RFC solution - Go read the PDF - at all attractive.

I think that the Chinese have the right idea where all those whom I have 
got to know tell me of the name they have chosen, which is ASCII, and 
how it relates to their Chinese name, which looks like a few thousand 
other Chinese names to me (and really is no help to me in identifying 
them when using e-mail, I-Ds and such like).  A bit like turning the 
umlaut into ASCII.

Tom Petch

---

From: "Martin Thomson" <[email-masked]>
Date: Fri, 19 Feb 2021 07:11:36 +1100

> fixed. Others seem to think that you are asking to regenerate the RFC.

I was deliberately vague, which has resulting in some productive discussion in various directions.  I need neither.  The document I was talking about is in XML and has complete references inline, not URLs.

I would not have suggested changing the original, immutable document.  Updating references files (reference.RFC.blah.xml) so everyone benefits is a good idea if we decide that a change is appropriate.